// ScopeCam for UT.  By Dawn Knight ver 1.01 09/04/2004
// A Decoration located at the point where DawnsScopeCam should be Spawned.
// Set this ScopeCam's Event->Tag to the Event->Event of the associated
// ScopeCamTrigger so that the ScopeCamTrigger can find it.

class ScopeCam extends Decoration;

#exec texture IMPORT NAME=ScopeCam1 FILE=Textures\ScopeCam3a.PCX

#exec mesh import mesh=ScopeCam anivfile=Models\ScopeCam_a.3d datafile=Models\ScopeCam_d.3d x=0 y=0 z=0 mlod=0
#exec mesh origin mesh=ScopeCam x=0 y=0 z=0
#exec mesh sequence mesh=ScopeCam seq=All startframe=0 numframes=1

#exec meshmap new meshmap=ScopeCam mesh=ScopeCam
#exec meshmap scale meshmap=ScopeCam x=0.05469 y=0.05469 z=0.10938

defaultproperties
{
  DrawType=DT_Mesh
  Mesh=Mesh'ScopeCam'
  bCollideWhenPlacing=True
  bCollideActors=True
  bCollideWorld=True
  bBlockActors=True
  bBlockPlayers=True
  CollisionRadius=12.00000
  CollisionHeight=14.00000
  MultiSkins(0)=Texture'ScopeCam1'
}
